llvm.org GIT mirror llvm / eeef9e8
Remove llvm-gcc and various compiler handling from llvm. It's not needed here anymore and has been migrated to the test-suite project. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@140216 91177308-0d34-0410-b5e6-96231b3b80d8 Eric Christopher 8 years ago
5 changed file(s) with 17 addition(s) and 472 deletion(s). Raw diff Collapse all Expand all
723723 AC_DEFINE_UNQUOTED([ENABLE_CBE_PRINTF_A],$ENABLE_CBE_PRINTF_A,
724724 [Define if CBE is enabled for printf %a output])
725725
726 dnl Allow a specific llvm-gcc/llvm-g++ pair to be used with this LLVM config.
727 AC_ARG_WITH(llvmgccdir,
728 AS_HELP_STRING([--with-llvmgccdir],
729 [Specify location of llvm-gcc install dir (default searches PATH)]),,
730 withval=default)
731 case "$withval" in
732 default) WITH_LLVMGCCDIR=default ;;
733 /* | [[A-Za-z]]:[[\\/]]*) WITH_LLVMGCCDIR=$withval ;;
734 *) AC_MSG_ERROR([Invalid path for --with-llvmgccdir. Provide full path]) ;;
735 esac
736
737 dnl Allow a specific llvm-gcc compiler to be used with this LLVM config.
738 AC_ARG_WITH(llvmgcc,
739 AS_HELP_STRING([--with-llvmgcc],
740 [Specify location of llvm-gcc driver (default searches PATH)]),
741 LLVMGCC=$with_llvmgcc
742 WITH_LLVMGCCDIR="",)
743
744 dnl Allow a specific llvm-g++ compiler to be used with this LLVM config.
745 AC_ARG_WITH(llvmgxx,
746 AS_HELP_STRING([--with-llvmgxx],
747 [Specify location of llvm-g++ driver (default searches PATH)]),
748 LLVMGXX=$with_llvmgxx
749 WITH_LLVMGCCDIR="",)
750
751 if test -n "$LLVMGCC"; then
752 LLVMGCCCOMMAND="$LLVMGCC"
753 fi
754
755 if test -n "$LLVMGXX"; then
756 LLVMGXXCOMMAND="$LLVMGXX"
757 fi
758
759 if test -n "$LLVMGCC" && test -z "$LLVMGXX"; then
760 AC_MSG_ERROR([Invalid llvm-g++. Use --with-llvmgxx when --with-llvmgcc is used]);
761 fi
762
763 if test -n "$LLVMGXX" && test -z "$LLVMGCC"; then
764 AC_MSG_ERROR([Invalid llvm-gcc. Use --with-llvmgcc when --with-llvmgxx is used]);
765 fi
766
767726 dnl Allow a specific Clang compiler to be used with this LLVM config.
768727 AC_ARG_WITH(clang,
769728 AS_HELP_STRING([--with-clang],
11411100 AC_LIBTOOL_DLOPEN
11421101 AC_LIB_LTDL
11431102
1144 if test "$WITH_LLVMGCCDIR" = "default" ; then
1145 LLVMGCC="llvm-gcc${EXEEXT}"
1146 LLVMGXX="llvm-g++${EXEEXT}"
1147 LLVMGCCCOMMAND="$LLVMGCC"
1148 LLVMGXXCOMMAND="$LLVMGXX"
1149 AC_SUBST(LLVMGCCCOMMAND,$LLVMGCCCOMMAND)
1150 AC_SUBST(LLVMGXXCOMMAND,$LLVMGXXCOMMAND)
1151 AC_PATH_PROG(LLVMGCC, $LLVMGCC, [])
1152 AC_PATH_PROG(LLVMGXX, $LLVMGXX, [])
1153 else
1154 if test -z "$LLVMGCC"; then
1155 LLVMGCC="$WITH_LLVMGCCDIR/bin/llvm-gcc${EXEEXT}"
1156 LLVMGCCCOMMAND="$LLVMGCC"
1157 fi
1158 if test -z "$LLVMGXX"; then
1159 LLVMGXX="$WITH_LLVMGCCDIR/bin/llvm-g++${EXEEXT}"
1160 LLVMGXXCOMMAND="$LLVMGXX"
1161 fi
1162
1163 AC_SUBST(LLVMGCC,$LLVMGCC)
1164 AC_SUBST(LLVMGXX,$LLVMGXX)
1165 AC_SUBST(LLVMGCCCOMMAND,$LLVMGCCCOMMAND)
1166 AC_SUBST(LLVMGXXCOMMAND,$LLVMGXXCOMMAND)
1167 fi
1168
1169 dnl Select the LLVM capable compiler to use, we default to using llvm-gcc if
1170 dnl found, otherwise clang if available.
1103 dnl Select the LLVM capable compiler to use, we default to using clang if
1104 dnl found.
11711105 AC_ARG_WITH(llvmcc,
11721106 AS_HELP_STRING([--with-llvmcc=],
11731107 [Choose the LLVM capable compiler to use (llvm-gcc, clang, or none; default=check)]),
11771111 if (test "$with_llvmcc" != "llvm-gcc" &&
11781112 test "$with_llvmcc" != "clang" &&
11791113 test "$with_llvmcc" != "none"); then
1180 AC_MSG_ERROR([invalid value for --with-llvmcc, expected 'llvm-gcc', 'clang', or 'none'.])
1114 AC_MSG_ERROR([invalid value for --with-llvmcc, expected 'clang', 'llvm-gcc', or 'none'.])
11811115 fi
11821116 WITH_LLVMCC="$with_llvmcc"
1183 elif test -n "$LLVMGCC"; then
1184 WITH_LLVMCC=llvm-gcc
11851117 elif test -n "$WITH_CLANGPATH" || test "$WITH_BUILT_CLANG" -ne "0"; then
11861118 WITH_LLVMCC=clang
11871119 else
15381470 dnl Check whether __dso_handle is present
15391471 AC_CHECK_FUNCS([__dso_handle])
15401472
1541 dnl Check whether llvm-gcc is based on dragonegg
1542 AC_CACHE_CHECK([whether llvm-gcc is dragonegg],[llvm_cv_llvmgcc_dragonegg],
1543 [llvm_cv_llvmgcc_dragonegg="no"
1544 if test -n "$LLVMGCC" ; then
1545 cp /dev/null conftest.c
1546 $LLVMGCC -fplugin-arg-dragonegg-emit-ir -S -o - conftest.c > /dev/null 2>&1
1547 if test $? -eq 0 ; then
1548 llvm_cv_llvmgcc_dragonegg="yes"
1549 fi
1550 rm conftest.c
1551 fi])
1552
1553 dnl Set the flags needed to emit LLVM IR and to disable optimizations
1554 dnl in llvmgcc
1555 if test "$llvm_cv_llvmgcc_dragonegg" = "yes" ; then
1556 LLVMCC_EMITIR_FLAG="-fplugin-arg-dragonegg-emit-ir"
1557 LLVMCC_DISABLEOPT_FLAGS="-fplugin-arg-dragonegg-llvm-ir-optimize=0"
1558 else
1559 LLVMCC_EMITIR_FLAG="-emit-llvm"
1560 LLVMCC_DISABLEOPT_FLAGS="-mllvm -disable-llvm-optzns"
1561 fi
1562
1563 AC_SUBST(LLVMCC_EMITIR_FLAG)
1564
1565 dnl See if the llvm-gcc executable can compile to LLVM assembly
1566 AC_CACHE_CHECK([whether llvm-gcc is sane],[llvm_cv_llvmgcc_sanity],
1567 [llvm_cv_llvmgcc_sanity="no"
1568 if test -n "$LLVMGCC" ; then
1569 cp /dev/null conftest.c
1570 $LLVMGCC "$LLVMCC_EMITIR_FLAG" -S -o - conftest.c | \
1571 grep 'target datalayout =' > /dev/null 2>&1
1572 if test $? -eq 0 ; then
1573 llvm_cv_llvmgcc_sanity="yes"
1574 fi
1575 rm conftest.c
1576 fi])
1577
1578 dnl Since we have a sane llvm-gcc, identify it and its sub-tools
1579 dnl Furthermore, add some information about the tools
1580 if test "$llvm_cv_llvmgcc_sanity" = "yes" ; then
1581 AC_MSG_CHECKING([llvm-gcc component support])
1582 llvmcc1path=`$LLVMGCC --print-prog-name=cc1`
1583 AC_SUBST(LLVMCC1,$llvmcc1path)
1584 llvmcc1pluspath=`$LLVMGCC --print-prog-name=cc1plus`
1585 AC_SUBST(LLVMCC1PLUS,$llvmcc1pluspath)
1586 llvmgccdir=`echo "$llvmcc1path" | sed 's,/libexec/.*,,'`
1587 AC_SUBST(LLVMGCCDIR,$llvmgccdir)
1588 llvmgcclangs=[`$LLVMGCC -v --help 2>&1 | grep '^Configured with:' | sed 's/^.*--enable-languages=\([^ ]*\).*/\1/'`]
1589 AC_SUBST(LLVMGCC_LANGS,$llvmgcclangs)
1590 AC_SUBST(LLVMGCC_DRAGONEGG,$llvm_cv_llvmgcc_dragonegg)
1591 AC_SUBST(LLVMCC_DISABLEOPT_FLAGS)
1592 AC_MSG_RESULT([ok])
1593 fi
1594
15951473 dnl Propagate the shared library extension that the libltdl checks did to
15961474 dnl the Makefiles so we can use it there too
15971475 AC_SUBST(SHLIBEXT,$libltdl_cv_shlibext)
762762 CONVENIENCE_LTDL_TRUE
763763 CONVENIENCE_LTDL_FALSE
764764 LIBADD_DL
765 LLVMGCCCOMMAND
766 LLVMGXXCOMMAND
767 LLVMGCC
768 LLVMGXX
769765 LLVMCC_OPTION
770766 NO_VARIADIC_MACROS
771767 NO_MISSING_FIELD_INITIALIZERS
774770 HAVE_PTHREAD
775771 HUGE_VAL_SANITY
776772 MMAP_FILE
777 LLVMCC_EMITIR_FLAG
778 LLVMCC1
779 LLVMCC1PLUS
780 LLVMGCCDIR
781 LLVMGCC_LANGS
782 LLVMGCC_DRAGONEGG
783 LLVMCC_DISABLEOPT_FLAGS
784773 SHLIBEXT
785774 SHLIBPATH_VAR
786775 LLVM_PREFIX
14411430 Optional Packages:
14421431 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
14431432 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
1444 --with-llvmgccdir Specify location of llvm-gcc install dir (default
1445 searches PATH)
1446 --with-llvmgcc Specify location of llvm-gcc driver (default
1447 searches PATH)
1448 --with-llvmgxx Specify location of llvm-g++ driver (default
1449 searches PATH)
14501433 --with-clang Specify location of clang compiler (default is
14511434 --with-built-clang)
14521435 --with-built-clang Use the compiled Clang as the LLVM compiler
54435426
54445427
54455428
5446 # Check whether --with-llvmgccdir was given.
5447 if test "${with_llvmgccdir+set}" = set; then
5448 withval=$with_llvmgccdir;
5449 else
5450 withval=default
5451 fi
5452
5453 case "$withval" in
5454 default) WITH_LLVMGCCDIR=default ;;
5455 /* | [A-Za-z]:[\\/]*) WITH_LLVMGCCDIR=$withval ;;
5456 *) { { echo "$as_me:$LINENO: error: Invalid path for --with-llvmgccdir. Provide full path" >&5
5457 echo "$as_me: error: Invalid path for --with-llvmgccdir. Provide full path" >&2;}
5458 { (exit 1); exit 1; }; } ;;
5459 esac
5460
5461
5462 # Check whether --with-llvmgcc was given.
5463 if test "${with_llvmgcc+set}" = set; then
5464 withval=$with_llvmgcc; LLVMGCC=$with_llvmgcc
5465 WITH_LLVMGCCDIR=""
5466 fi
5467
5468
5469
5470 # Check whether --with-llvmgxx was given.
5471 if test "${with_llvmgxx+set}" = set; then
5472 withval=$with_llvmgxx; LLVMGXX=$with_llvmgxx
5473 WITH_LLVMGCCDIR=""
5474 fi
5475
5476
5477 if test -n "$LLVMGCC"; then
5478 LLVMGCCCOMMAND="$LLVMGCC"
5479 fi
5480
5481 if test -n "$LLVMGXX"; then
5482 LLVMGXXCOMMAND="$LLVMGXX"
5483 fi
5484
5485 if test -n "$LLVMGCC" && test -z "$LLVMGXX"; then
5486 { { echo "$as_me:$LINENO: error: Invalid llvm-g++. Use --with-llvmgxx when --with-llvmgcc is used" >&5
5487 echo "$as_me: error: Invalid llvm-g++. Use --with-llvmgxx when --with-llvmgcc is used" >&2;}
5488 { (exit 1); exit 1; }; };
5489 fi
5490
5491 if test -n "$LLVMGXX" && test -z "$LLVMGCC"; then
5492 { { echo "$as_me:$LINENO: error: Invalid llvm-gcc. Use --with-llvmgcc when --with-llvmgxx is used" >&5
5493 echo "$as_me: error: Invalid llvm-gcc. Use --with-llvmgcc when --with-llvmgxx is used" >&2;}
5494 { (exit 1); exit 1; }; };
5495 fi
5496
5497
54985429 # Check whether --with-clang was given.
54995430 if test "${with_clang+set}" = set; then
55005431 withval=$with_clang;
1059410525 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1059510526 lt_status=$lt_dlunknown
1059610527 cat > conftest.$ac_ext <
10597 #line 10598 "configure"
10528 #line 10529 "configure"
1059810529 #include "confdefs.h"
1059910530
1060010531 #if HAVE_DLFCN_H
1225412185
1225512186
1225612187
12257 if test "$WITH_LLVMGCCDIR" = "default" ; then
12258 LLVMGCC="llvm-gcc${EXEEXT}"
12259 LLVMGXX="llvm-g++${EXEEXT}"
12260 LLVMGCCCOMMAND="$LLVMGCC"
12261 LLVMGXXCOMMAND="$LLVMGXX"
12262 LLVMGCCCOMMAND=$LLVMGCCCOMMAND
12263
12264 LLVMGXXCOMMAND=$LLVMGXXCOMMAND
12265
12266 # Extract the first word of "$LLVMGCC", so it can be a program name with args.
12267 set dummy $LLVMGCC; ac_word=$2
12268 { echo "$as_me:$LINENO: checking for $ac_word" >&5
12269 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
12270 if test "${ac_cv_path_LLVMGCC+set}" = set; then
12271 echo $ECHO_N "(cached) $ECHO_C" >&6
12272 else
12273 case $LLVMGCC in
12274 [\\/]* | ?:[\\/]*)
12275 ac_cv_path_LLVMGCC="$LLVMGCC" # Let the user override the test with a path.
12276 ;;
12277 *)
12278 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12279 for as_dir in $PATH
12280 do
12281 IFS=$as_save_IFS
12282 test -z "$as_dir" && as_dir=.
12283 for ac_exec_ext in '' $ac_executable_extensions; do
12284 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
12285 ac_cv_path_LLVMGCC="$as_dir/$ac_word$ac_exec_ext"
12286 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12287 break 2
12288 fi
12289 done
12290 done
12291 IFS=$as_save_IFS
12292
12293 ;;
12294 esac
12295 fi
12296 LLVMGCC=$ac_cv_path_LLVMGCC
12297 if test -n "$LLVMGCC"; then
12298 { echo "$as_me:$LINENO: result: $LLVMGCC" >&5
12299 echo "${ECHO_T}$LLVMGCC" >&6; }
12300 else
12301 { echo "$as_me:$LINENO: result: no" >&5
12302 echo "${ECHO_T}no" >&6; }
12303 fi
12304
12305
12306 # Extract the first word of "$LLVMGXX", so it can be a program name with args.
12307 set dummy $LLVMGXX; ac_word=$2
12308 { echo "$as_me:$LINENO: checking for $ac_word" >&5
12309 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
12310 if test "${ac_cv_path_LLVMGXX+set}" = set; then
12311 echo $ECHO_N "(cached) $ECHO_C" >&6
12312 else
12313 case $LLVMGXX in
12314 [\\/]* | ?:[\\/]*)
12315 ac_cv_path_LLVMGXX="$LLVMGXX" # Let the user override the test with a path.
12316 ;;
12317 *)
12318 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12319 for as_dir in $PATH
12320 do
12321 IFS=$as_save_IFS
12322 test -z "$as_dir" && as_dir=.
12323 for ac_exec_ext in '' $ac_executable_extensions; do
12324 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then
12325 ac_cv_path_LLVMGXX="$as_dir/$ac_word$ac_exec_ext"
12326 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12327 break 2
12328 fi
12329 done
12330 done
12331 IFS=$as_save_IFS
12332
12333 ;;
12334 esac
12335 fi
12336 LLVMGXX=$ac_cv_path_LLVMGXX
12337 if test -n "$LLVMGXX"; then
12338 { echo "$as_me:$LINENO: result: $LLVMGXX" >&5
12339 echo "${ECHO_T}$LLVMGXX" >&6; }
12340 else
12341 { echo "$as_me:$LINENO: result: no" >&5
12342 echo "${ECHO_T}no" >&6; }
12343 fi
12344
12345
12346 else
12347 if test -z "$LLVMGCC"; then
12348 LLVMGCC="$WITH_LLVMGCCDIR/bin/llvm-gcc${EXEEXT}"
12349 LLVMGCCCOMMAND="$LLVMGCC"
12350 fi
12351 if test -z "$LLVMGXX"; then
12352 LLVMGXX="$WITH_LLVMGCCDIR/bin/llvm-g++${EXEEXT}"
12353 LLVMGXXCOMMAND="$LLVMGXX"
12354 fi
12355
12356 LLVMGCC=$LLVMGCC
12357
12358 LLVMGXX=$LLVMGXX
12359
12360 LLVMGCCCOMMAND=$LLVMGCCCOMMAND
12361
12362 LLVMGXXCOMMAND=$LLVMGXXCOMMAND
12363
12364 fi
12365
1236612188
1236712189 # Check whether --with-llvmcc was given.
1236812190 if test "${with_llvmcc+set}" = set; then
1237712199 if (test "$with_llvmcc" != "llvm-gcc" &&
1237812200 test "$with_llvmcc" != "clang" &&
1237912201 test "$with_llvmcc" != "none"); then
12380 { { echo "$as_me:$LINENO: error: invalid value for --with-llvmcc, expected 'llvm-gcc', 'clang', or 'none'." >&5
12381 echo "$as_me: error: invalid value for --with-llvmcc, expected 'llvm-gcc', 'clang', or 'none'." >&2;}
12202 { { echo "$as_me:$LINENO: error: invalid value for --with-llvmcc, expected 'clang', 'llvm-gcc', or 'none'." >&5
12203 echo "$as_me: error: invalid value for --with-llvmcc, expected 'clang', 'llvm-gcc', or 'none'." >&2;}
1238212204 { (exit 1); exit 1; }; }
1238312205 fi
1238412206 WITH_LLVMCC="$with_llvmcc"
12385 elif test -n "$LLVMGCC"; then
12386 WITH_LLVMCC=llvm-gcc
1238712207 elif test -n "$WITH_CLANGPATH" || test "$WITH_BUILT_CLANG" -ne "0"; then
1238812208 WITH_LLVMCC=clang
1238912209 else
2124721067 fi
2124821068 done
2124921069
21250
21251 { echo "$as_me:$LINENO: checking whether llvm-gcc is dragonegg" >&5
21252 echo $ECHO_N "checking whether llvm-gcc is dragonegg... $ECHO_C" >&6; }
21253 if test "${llvm_cv_llvmgcc_dragonegg+set}" = set; then
21254 echo $ECHO_N "(cached) $ECHO_C" >&6
21255 else
21256 llvm_cv_llvmgcc_dragonegg="no"
21257 if test -n "$LLVMGCC" ; then
21258 cp /dev/null conftest.c
21259 $LLVMGCC -fplugin-arg-dragonegg-emit-ir -S -o - conftest.c > /dev/null 2>&1
21260 if test $? -eq 0 ; then
21261 llvm_cv_llvmgcc_dragonegg="yes"
21262 fi
21263 rm conftest.c
21264 fi
21265 fi
21266 { echo "$as_me:$LINENO: result: $llvm_cv_llvmgcc_dragonegg" >&5
21267 echo "${ECHO_T}$llvm_cv_llvmgcc_dragonegg" >&6; }
21268
21269 if test "$llvm_cv_llvmgcc_dragonegg" = "yes" ; then
21270 LLVMCC_EMITIR_FLAG="-fplugin-arg-dragonegg-emit-ir"
21271 LLVMCC_DISABLEOPT_FLAGS="-fplugin-arg-dragonegg-llvm-ir-optimize=0"
21272 else
21273 LLVMCC_EMITIR_FLAG="-emit-llvm"
21274 LLVMCC_DISABLEOPT_FLAGS="-mllvm -disable-llvm-optzns"
21275 fi
21276
21277
21278
21279 { echo "$as_me:$LINENO: checking whether llvm-gcc is sane" >&5
21280 echo $ECHO_N "checking whether llvm-gcc is sane... $ECHO_C" >&6; }
21281 if test "${llvm_cv_llvmgcc_sanity+set}" = set; then
21282 echo $ECHO_N "(cached) $ECHO_C" >&6
21283 else
21284 llvm_cv_llvmgcc_sanity="no"
21285 if test -n "$LLVMGCC" ; then
21286 cp /dev/null conftest.c
21287 $LLVMGCC "$LLVMCC_EMITIR_FLAG" -S -o - conftest.c | \
21288 grep 'target datalayout =' > /dev/null 2>&1
21289 if test $? -eq 0 ; then
21290 llvm_cv_llvmgcc_sanity="yes"
21291 fi
21292 rm conftest.c
21293 fi
21294 fi
21295 { echo "$as_me:$LINENO: result: $llvm_cv_llvmgcc_sanity" >&5
21296 echo "${ECHO_T}$llvm_cv_llvmgcc_sanity" >&6; }
21297
21298 if test "$llvm_cv_llvmgcc_sanity" = "yes" ; then
21299 { echo "$as_me:$LINENO: checking llvm-gcc component support" >&5
21300 echo $ECHO_N "checking llvm-gcc component support... $ECHO_C" >&6; }
21301 llvmcc1path=`$LLVMGCC --print-prog-name=cc1`
21302 LLVMCC1=$llvmcc1path
21303
21304 llvmcc1pluspath=`$LLVMGCC --print-prog-name=cc1plus`
21305 LLVMCC1PLUS=$llvmcc1pluspath
21306
21307 llvmgccdir=`echo "$llvmcc1path" | sed 's,/libexec/.*,,'`
21308 LLVMGCCDIR=$llvmgccdir
21309
21310 llvmgcclangs=`$LLVMGCC -v --help 2>&1 | grep '^Configured with:' | sed 's/^.*--enable-languages=\([^ ]*\).*/\1/'`
21311 LLVMGCC_LANGS=$llvmgcclangs
21312
21313 LLVMGCC_DRAGONEGG=$llvm_cv_llvmgcc_dragonegg
21314
21315
21316 { echo "$as_me:$LINENO: result: ok" >&5
21317 echo "${ECHO_T}ok" >&6; }
21318 fi
2131921070
2132021071 SHLIBEXT=$libltdl_cv_shlibext
2132121072
2250222253 CONVENIENCE_LTDL_TRUE!$CONVENIENCE_LTDL_TRUE$ac_delim
2250322254 CONVENIENCE_LTDL_FALSE!$CONVENIENCE_LTDL_FALSE$ac_delim
2250422255 LIBADD_DL!$LIBADD_DL$ac_delim
22505 LLVMGCCCOMMAND!$LLVMGCCCOMMAND$ac_delim
22506 LLVMGXXCOMMAND!$LLVMGXXCOMMAND$ac_delim
22507 LLVMGCC!$LLVMGCC$ac_delim
22508 LLVMGXX!$LLVMGXX$ac_delim
2250922256 LLVMCC_OPTION!$LLVMCC_OPTION$ac_delim
2251022257 NO_VARIADIC_MACROS!$NO_VARIADIC_MACROS$ac_delim
2251122258 NO_MISSING_FIELD_INITIALIZERS!$NO_MISSING_FIELD_INITIALIZERS$ac_delim
2251422261 HAVE_PTHREAD!$HAVE_PTHREAD$ac_delim
2251522262 HUGE_VAL_SANITY!$HUGE_VAL_SANITY$ac_delim
2251622263 MMAP_FILE!$MMAP_FILE$ac_delim
22517 LLVMCC_EMITIR_FLAG!$LLVMCC_EMITIR_FLAG$ac_delim
22518 LLVMCC1!$LLVMCC1$ac_delim
22519 LLVMCC1PLUS!$LLVMCC1PLUS$ac_delim
22520 LLVMGCCDIR!$LLVMGCCDIR$ac_delim
22521 LLVMGCC_LANGS!$LLVMGCC_LANGS$ac_delim
22522 LLVMGCC_DRAGONEGG!$LLVMGCC_DRAGONEGG$ac_delim
22523 LLVMCC_DISABLEOPT_FLAGS!$LLVMCC_DISABLEOPT_FLAGS$ac_delim
2252422264 SHLIBEXT!$SHLIBEXT$ac_delim
2252522265 SHLIBPATH_VAR!$SHLIBPATH_VAR$ac_delim
2252622266 LLVM_PREFIX!$LLVM_PREFIX$ac_delim
2253522275 LLVM_CONFIGTIME!$LLVM_CONFIGTIME$ac_delim
2253622276 BINDINGS_TO_BUILD!$BINDINGS_TO_BUILD$ac_delim
2253722277 ALL_BINDINGS!$ALL_BINDINGS$ac_delim
22538 _ACEOF
22539
22540 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
22278 OCAML_LIBDIR!$OCAML_LIBDIR$ac_delim
22279 ENABLE_VISIBILITY_INLINES_HIDDEN!$ENABLE_VISIBILITY_INLINES_HIDDEN$ac_delim
22280 RPATH!$RPATH$ac_delim
22281 RDYNAMIC!$RDYNAMIC$ac_delim
22282 LIBOBJS!$LIBOBJS$ac_delim
22283 LTLIBOBJS!$LTLIBOBJS$ac_delim
22284 _ACEOF
22285
22286 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 92; then
2254122287 break
2254222288 elif $ac_last_try; then
2254322289 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
2255622302
2255722303 cat >>$CONFIG_STATUS <<_ACEOF
2255822304 cat >"\$tmp/subs-2.sed" <<\CEOF$ac_eof
22559 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
22560 _ACEOF
22561 sed '
22562 s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
22563 s/^/s,@/; s/!/@,|#_!!_#|/
22564 :n
22565 t n
22566 s/'"$ac_delim"'$/,g/; t
22567 s/$/\\/; p
22568 N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
22569 ' >>$CONFIG_STATUS
22570 rm -f conf$$subs.sed
22571 cat >>$CONFIG_STATUS <<_ACEOF
22572 CEOF$ac_eof
22573 _ACEOF
22574
22575
22576 ac_delim='%!_!# '
22577 for ac_last_try in false false false false false :; do
22578 cat >conf$$subs.sed <<_ACEOF
22579 OCAML_LIBDIR!$OCAML_LIBDIR$ac_delim
22580 ENABLE_VISIBILITY_INLINES_HIDDEN!$ENABLE_VISIBILITY_INLINES_HIDDEN$ac_delim
22581 RPATH!$RPATH$ac_delim
22582 RDYNAMIC!$RDYNAMIC$ac_delim
22583 LIBOBJS!$LIBOBJS$ac_delim
22584 LTLIBOBJS!$LTLIBOBJS$ac_delim
22585 _ACEOF
22586
22587 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 6; then
22588 break
22589 elif $ac_last_try; then
22590 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
22591 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
22592 { (exit 1); exit 1; }; }
22593 else
22594 ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
22595 fi
22596 done
22597
22598 ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
22599 if test -n "$ac_eof"; then
22600 ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
22601 ac_eof=`expr $ac_eof + 1`
22602 fi
22603
22604 cat >>$CONFIG_STATUS <<_ACEOF
22605 cat >"\$tmp/subs-3.sed" <<\CEOF$ac_eof
2260622305 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
2260722306 _ACEOF
2260822307 sed '
2286522564 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
2286622565 s&@INSTALL@&$ac_INSTALL&;t t
2286722566 $ac_datarootdir_hack
22868 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" | sed -f "$tmp/subs-3.sed" >$tmp/out
22567 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
2286922568
2287022569 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
2287122570 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
0 load_lib llvm.exp
11
2 if { [llvm_supports_target X86] && [llvm_gcc_supports c] } {
2 if { [llvm_supports_target X86] } {
33 RunLLVMTests [lsort [glob -nocomplain $srcdir/$subdir/*.{ll,c,cpp,s}]]
44 }
248248 }
249249 }
250250
251 # This procedure provides an interface to check the LLVMGCC_LANGS makefile
252 # variable to see if llvm-gcc supports compilation of a particular language.
253 proc llvm_gcc_supports { lang } {
254 global llvmgcc llvmgcc_langs
255 # validate the language choices and determine the name of the compiler
256 # component responsible for determining if the compiler has been built.
257 switch "$lang" {
258 ada { set file gnat1 }
259 c { set file cc1 }
260 c++ { set file cc1plus }
261 objc { set file cc1obj }
262 obj-c++ { set file cc1objplus }
263 fortran { set file f951 }
264 default { return 0 }
265 }
266 foreach supported_lang [split "$llvmgcc_langs" ,] {
267 if { "$lang" == "$supported_lang" } {
268 # FIXME: Knowing it is configured is not enough. We should do two more
269 # checks here. First, we need to run llvm-gcc -print-prog-name=$file to
270 # get the path to the compiler. If we don't get a path, the language isn't
271 # properly configured or built. If we do get a path, we should check to
272 # make sure that it is executable and perhaps even try executing it.
273 return 1;
274 }
275 }
276 return 0;
277 }
278
279251 # This procedure provides an interface to check the TARGETS_TO_BUILD makefile
280252 # variable to see if a particular target has been configured to build. This
281253 # helps avoid running tests for targets that aren't available.
234234 def llvm_supports_darwin_and_target(name):
235235 return 'darwin' in config.target_triple and llvm_supports_target(name)
236236
237 langs = set([s.strip() for s in site_exp['llvmgcc_langs'].split(',')])
238 def llvm_gcc_supports(name):
239 return name.strip() in langs
240
241237 bindings = set([s.strip() for s in site_exp['llvm_bindings'].split(',')])
242238 def llvm_supports_binding(name):
243239 return name.strip() in bindings